> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# Updates account notification preferences

POST https://api.testnet.paradex.trade/v1/account/profile/notifications
Content-Type: application/json

Updates user notification preferences for orders, fills, announcements, and transfers. All fields are optional - only provided fields will be updated.

Reference: https://docs.paradex.trade/api/prod/account/update-account-notification-preferences

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Body (application/json)

This endpoint expects a requests.UpdateNotificationPreferencesRequest.

- `announcements` (boolean, optional)
- `fill_sound` (boolean, optional)
- `fills` (boolean, optional)
- `orders` (boolean, optional)
- `transfers` (boolean, optional)

## Response

### 200

OK

- `discord` (responses.DiscordProfile, optional)
- `is_username_private` (boolean, optional)
- `market_max_slippage` (map from string to string, optional)
- `marketed_by` (string, optional)
- `nfts` (list of responses.Nft, optional)
- `notifications` (responses.NotificationPreferencesResp, optional)
- `referral` (responses.ReferralConfigResp, optional)
- `referral_code` (string, optional)
- `referred_by` (string, optional)
- `size_currency_display` (string, optional)
- `tap_share_rate` (responses.ShareRateResp, optional)
- `tap_status` (string, optional) — TAP affiliate status: "NONE", "ACTIVE", or "INACTIVE"
- `twitter` (responses.TwitterProfile, optional)
- `twitter_following` (map from string to boolean, optional)
- `username` (string, optional)
- `xp_share_rate` (responses.ShareRateResp, optional)

## Errors

### 400 Bad Request Error

Validation Error

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_PRICE_PRECISION`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `BAD_STARKNET_REQUEST`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `INVALID_RHINOFI_REQUEST`, `INVALID_RHINOFI_QUOTE`, `INVALID_RHINOFI_QUOTE_COMMIT`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `INVALID_JOIN_WAITLIST_REQUEST`, `TRANSACTION_NOT_FOUND`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INVALID_SUBKEY`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`
- `message` (string, optional) — detailed description of error and how to address it

### 401 Unauthorized Error

Unauthorized

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_PRICE_PRECISION`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `BAD_STARKNET_REQUEST`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `INVALID_RHINOFI_REQUEST`, `INVALID_RHINOFI_QUOTE`, `INVALID_RHINOFI_QUOTE_COMMIT`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `INVALID_JOIN_WAITLIST_REQUEST`, `TRANSACTION_NOT_FOUND`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INVALID_SUBKEY`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`
- `message` (string, optional) — detailed description of error and how to address it

## Types

### responses.DiscordProfile

- `id` (string, optional)
- `image_url` (string, optional)
- `username` (string, optional)

### responses.Nft

- `collection_address` (string, optional)
- `collection_name` (string, optional)
- `description` (string, optional)
- `id` (string, optional)
- `image_url` (string, optional)
- `name` (string, optional)
- `price` (messagesv1.NftPrice, optional)

### responses.NotificationPreferencesResp

- `announcements` (boolean, optional)
- `fill_sound` (boolean, optional)
- `fills` (boolean, optional)
- `orders` (boolean, optional)
- `transfers` (boolean, optional)

### responses.ReferralConfigResp

- `commission_rate` (string, optional) — Commission rate for the referer
- `commission_volume_cap` (string, optional) — Volume cap for commission
- `discount_rate` (string, optional) — Discount rate for the referee
- `discount_volume_cap` (string, optional) — Volume cap for discount
- `minimum_volume` (string, optional) — Minimum volume required to be eligible for Program
- `name` (string, optional) — Referral name
- `points_bonus_rate` (string, optional) — Points bonus rate for the referee
- `points_bonus_volume_cap` (string, optional) — Volume cap for points bonus
- `referral_type` (string, optional) — Referral type

### responses.ShareRateResp

- `last_updated_at` (integer, optional)
- `share_rate` (string, optional)

### responses.TwitterProfile

- `id` (string, optional)
- `image_url` (string, optional)
- `username` (string, optional)

### ResponsesApiErrorData

any additional data related to the error

### messagesv1.NftPrice

- `currency` (string, optional)
- `decimals` (integer, optional)
- `value` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "discord": {
    "id": "123456789012345678",
    "image_url": "https://cdn.discordapp.com/avatars/123456789012345678/a_abcdef1234567890.gif",
    "username": "CryptoTrader42"
  },
  "is_username_private": false,
  "market_max_slippage": {},
  "marketed_by": "maxDegen",
  "nfts": [
    {
      "collection_address": "0xabc123def4567890abc123def4567890abc123de",
      "collection_name": "CryptoPunks",
      "description": "A collection of 10,000 unique collectible characters with proof of ownership stored on the Ethereum blockchain.",
      "id": "1234",
      "image_url": "https://cryptopunks.app/cryptopunks/image/1234.png",
      "name": "CryptoPunk #1234",
      "price": {
        "currency": "ETH",
        "decimals": 18,
        "value": "15.75"
      }
    }
  ],
  "notifications": {
    "announcements": true,
    "fill_sound": false,
    "fills": true,
    "orders": false,
    "transfers": true
  },
  "referral": {
    "commission_rate": "0.1",
    "commission_volume_cap": "1000000000",
    "discount_rate": "0.1",
    "discount_volume_cap": "30000000",
    "minimum_volume": "0.123",
    "name": "Referral",
    "points_bonus_rate": "0.1",
    "points_bonus_volume_cap": "1000000000",
    "referral_type": "Referral"
  },
  "referral_code": "cryptofox8",
  "referred_by": "maxDegen",
  "size_currency_display": "BASE",
  "tap_share_rate": {
    "last_updated_at": 1715592690488,
    "share_rate": "0.2"
  },
  "tap_status": "ACTIVE",
  "twitter": {
    "id": "9876543210",
    "image_url": "https://pbs.twimg.com/profile_images/9876543210/profile_pic_normal.jpg",
    "username": "CryptoTrader42"
  },
  "twitter_following": {},
  "username": "crypto_trader_42",
  "xp_share_rate": {
    "last_updated_at": 1715592690488,
    "share_rate": "0.2"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.testnet.paradex.trade/v1/account/profile/notifications"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.testnet.paradex.trade/v1/account/profile/notifications';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.testnet.paradex.trade/v1/account/profile/notifications"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.testnet.paradex.trade/v1/account/profile/notifications")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.testnet.paradex.trade/v1/account/profile/notifications")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.testnet.paradex.trade/v1/account/profile/notifications', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.testnet.paradex.trade/v1/account/profile/notifications");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.testnet.paradex.trade/v1/account/profile/notifications")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```